package com.quantgroup.asset.distribution.service.route;

import com.quantgroup.asset.distribution.model.entity.route.fundproduct.FundProductQueryVo;
import com.quantgroup.asset.distribution.model.entity.route.fundproduct.FundProductSaveVo;
import com.quantgroup.asset.distribution.model.entity.route.fundproduct.FundProductVo;
import com.quantgroup.asset.distribution.model.response.GlobalResponse;
import com.quantgroup.asset.distribution.util.AllRecords;

import java.io.IOException;

public interface IFundProductService {
    AllRecords queryPage(FundProductQueryVo fundProductQueryVo);

    FundProductVo lookFundProduct(Long id);

    GlobalResponse save(FundProductSaveVo fundProductSaveVo);

    GlobalResponse getArea() throws IOException;
}
